<?php

namespace Webhopers;

use DB;
use Illuminate\Database\Seeder;

class MultivendorTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('multivendors')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'multivendor.multivendor.view',
                'name'      => 'View Multivendor',
            ],
            [
                'slug'      => 'multivendor.multivendor.create',
                'name'      => 'Create Multivendor',
            ],
            [
                'slug'      => 'multivendor.multivendor.edit',
                'name'      => 'Update Multivendor',
            ],
            [
                'slug'      => 'multivendor.multivendor.delete',
                'name'      => 'Delete Multivendor',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/multivendor/multivendor',
                'name'        => 'Multivendor',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/multivendor/multivendor',
                'name'        => 'Multivendor',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'multivendor',
                'name'        => 'Multivendor',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Multivendor',
                'module'    => 'Multivendor',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'multivendor.multivendor.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
