<?php

namespace Webhopers\Multivendor\Repositories\Eloquent;

use Webhopers\Multivendor\Interfaces\MultivendorRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MultivendorRepository extends BaseRepository implements MultivendorRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('webhopers.multivendor.multivendor.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('webhopers.multivendor.multivendor.model.model');
    }
}
